package com.educomp.intelftp.mediator
{
	import com.educomp.intelftp.events.AddProjectEvevnt;
	import com.educomp.intelftp.events.GetProjectEvent;
	import com.educomp.intelftp.view.MainProjectComponent;
	import com.educomp.intelftp.vo.ProjectVO;
	
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import org.robotlegs.mvcs.Mediator;
	
	public class MainProjectMediator extends Mediator
	{
		[Inject]
		public var mainProjectView:MainProjectComponent;
	
		public function MainProjectMediator()
		{
			super();
		}
		
		override public function onRegister():void{
			
			mainProjectView.addProjectBtn.addEventListener(MouseEvent.CLICK,AddProjecthandler);
			mainProjectView.getProjectBtn.addEventListener(MouseEvent.CLICK,GetProjectHandler);
			super.onRegister();
		}
		
		private function AddProjecthandler(e:Event):void{
			
			  mainProjectView.currentState = "AddProject";
			var projectVo:ProjectVO = mainProjectView.AddProjectComp.projectVO;
			
			if(projectVo.ProjectName!="")
			     dispatch(new AddProjectEvevnt(AddProjectEvevnt.ADD_PROJECT,projectVo));
			
		}
		
		private function GetProjectHandler(e:Event):void{
			
			dispatch(new GetProjectEvent(GetProjectEvent.GET_PROJECT,mainProjectView.txtProjectName.text));
			
		}
	}
}